%global modname pyxid
%global commit c84afe985c86b2b8cfa209d3eaf37b6d45fa1763
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-%{modname}
Version:        1.1
Release:        0.6.git%{shortcommit}%{?dist}
Summary:        Python library for interfacing with Cedrus XID and StimTracker devices

License:        BSD with advertising
URL:            https://github.com/cedrus-opensource/pyxid
Source0:        https://github.com/cedrus-opensource/pyxid/archive/%{commit}/%{modname}-%{shortcommit}.tar.gz

BuildArch:      noarch

%description
%{summary}.

XID (eXperiment Interface Device) devices are used in software such as
SuperLab, Presentation, and ePrime for receiving input as part of
stimulus/response testing experiments.

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel python2-setuptools
Requires:       pyserial

%description -n python2-%{modname}
%{summary}.

XID (eXperiment Interface Device) devices are used in software such as
SuperLab, Presentation, and ePrime for receiving input as part of
stimulus/response testing experiments.

Python 2 version.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel python3-setuptools
Requires:       python3-pyserial

%description -n python3-%{modname}
%{summary}.

XID (eXperiment Interface Device) devices are used in software such as
SuperLab, Presentation, and ePrime for receiving input as part of
stimulus/response testing experiments.

Python 3 version.

%prep
%autosetup -n %{modname}-%{commit}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{modname}
%license COPYING
%doc README.txt
%{python2_sitelib}/%{modname}*

%files -n python3-%{modname}
%license COPYING
%doc README.txt
%{python3_sitelib}/%{modname}*

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-0.6.gitc84afe9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-0.5.gitc84afe9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.1-0.4.gitc84afe9
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-0.3.gitc84afe9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-0.2.gitc84afe9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 24 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.1-0.1.gitc84afe9
- Initial package
